Bug 1583852 - Missing Dependency
Summary: Missing Dependency
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: monkeysphere
Version: 28
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Christopher Tubbs
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-29 21:56 UTC by indolering
Modified: 2018-06-08 21:34 UTC (History)
1 user (show)

Fixed In Version: monkeysphere-0.41-8.fc28 monkeysphere-0.41-8.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-08 13:11:35 UTC


Attachments (Terms of Use)

Description indolering 2018-05-29 21:56:58 UTC
Description of problem:
Trying to use Monkeyshere fails with an error about missing the lockfile utility [0].

Version-Release number of selected component (if applicable):
v0.41

How reproducible:
Very?

Steps to Reproduce:
    $ ssh -T git@github.com

Actual results:
    Neither lockfile-create nor lockfile are in the path!

Expected results:
    The authenticity of host ....

Additional info:
The monkeysphere package appears to be missing the lockfile-prog dependency: installing this fixes the problem and the dependency is present on the debian apt package [1].

0: https://github.com/dkg/monkeysphere/blob/master/src/share/common
1: https://packages.debian.org/sid/monkeysphere

Comment 1 Christopher Tubbs 2018-05-29 22:39:41 UTC
When you say "Trying to use", what do you mean? What did you try, and what was the error, exactly? I do not have lockfile-progs installed, but what I use it for works fine for me: `monkeysphere s`.

Comment 2 Christopher Tubbs 2018-05-30 20:01:29 UTC
Never mind. I was able to reproduce with `-oProxyCommand='monkeysphere ssh-proxycommand %h %p'`

I will push a fix.

Comment 3 Fedora Update System 2018-05-30 20:21:05 UTC
monkeysphere-0.41-8.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-fd6dcb092d

Comment 4 Fedora Update System 2018-05-30 20:21:12 UTC
monkeysphere-0.41-8.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-0399a8ad86

Comment 5 Fedora Update System 2018-05-31 11:34:30 UTC
monkeysphere-0.41-8.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-fd6dcb092d

Comment 6 Fedora Update System 2018-05-31 13:01:23 UTC
monkeysphere-0.41-8.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-0399a8ad86

Comment 7 Fedora Update System 2018-06-08 13:11:35 UTC
monkeysphere-0.41-8.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2018-06-08 21:34:45 UTC
monkeysphere-0.41-8.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.